Subject: [apps-discuss] New Version Notification for draft-ietf-appsawg-multipart-form-data-10.txt

From: Larry Masinter <[email-masked]>
Date: Wed, 8 Apr 2015 16:56:43 +0000

To address IESG last call comments better:

URL:            http://www.ietf.org/internet-drafts/draft-ietf-appsawg-multipart-form-data-10.txt
Status:         https://datatracker.ietf.org/doc/draft-ietf-appsawg-multipart-form-data/
Htmlized:       http://tools.ietf.org/html/draft-ietf-appsawg-multipart-form-data-10
Diff:           http://www.ietf.org/rfcdiff?url2=draft-ietf-appsawg-multipart-form-data-10

======

additional typos noted now fixed.

revisiting previous replies:

Security considerations:

Uncle. I was just unhappy that the Security Considerations section could be
better, more coherent, and actually flowed rather than what’s there.
But as suggested, I have moved the last paragraph to the first.

In -10 I also rewrote my previously snarky:
OLD
   More problematic is the ambiguity introduced because implementations
   did not follow [RFC2388] because it used "may" instead of "MUST" when
   specifying encoding of field names, and for other unknown reasons, so
   now, parsers need to be more complex for fuzzy matching against the
   possible outputs of various encoding methods.

to a less snarky:
NEW
   More problematic are the differences introduced when implementors
   opted to not follow [RFC2388] when encoding non-ASCII field names
   (perhaps because "may" should have been "MUST").  As a result,
   parsers need to be more complex for matching against the possible
   outputs of various encoding methods.

to not further disparage implementor innovation.

Larry
—
http://larry.masinter.net